提交 eee15bae 作者: Juan Batiz-Benet

remove test-sharness-config

上级 54651618
......@@ -46,4 +46,6 @@ fi
# ok, move things into place
mv $sfile.test $sfile
mv $afile.test $afile
chmod +x $sfile
chmod +x $afile
exit 0
......@@ -6,9 +6,7 @@
# MIT Licensed; see the LICENSE file in this repository.
#
. ./test-sharness-config.sh
SHARNESS_AGGREGATE="$SHARNESS_DIRECTORY/aggregate-results.sh"
SHARNESS_AGGREGATE="./aggregate-results.sh"
test -f "$SHARNESS_AGGREGATE" || {
echo >&2 "Cannot find: $SHARNESS_AGGREGATE"
......
......@@ -6,7 +6,7 @@
# We are using sharness (https://github.com/mlafeldt/sharness)
# which was extracted from the Git test framework.
. ./test-sharness-config.sh
SHARNESS_LIB="./sharness.sh"
. "$SHARNESS_LIB" || {
echo >&2 "Cannot source: $SHARNESS_LIB"
......
# Copyright (c) 2014 Christian Couder
# MIT Licensed; see the LICENSE file in this repository.
#
# We are using sharness (https://github.com/mlafeldt/sharness)
# which was extracted from the Git test framework.
# You need either sharness to be installed system-wide or
# to set the SHARNESS_DIRECTORY environment variable properly.
if test -z "$SHARNESS_DIRECTORY"
then
SHARNESS_DIRECTORY=/usr/local/share/sharness
fi
SHARNESS_LIB="$SHARNESS_DIRECTORY/sharness.sh"
test -f "$SHARNESS_LIB" || {
echo >&2 "Cannot find sharness.sh in: $SHARNESS_DIRECTORY"
echo >&2 "Please install Sharness system-wide or set the"
echo >&2 "SHARNESS_DIRECTORY environment variable."
echo >&2 "See: https://github.com/mlafeldt/sharness"
exit 1
}
Markdown 格式
0%
您添加了 0 到此讨论。请谨慎行事。
请先完成此评论的编辑!
注册 或者 后发表评论